<template>
  <view class="content">
    <image class="logo" src="@/static/logo.png"></image>
    <view class="text-area">
      <text class="title" @click="getMap">Hello RuoYi</text>
    </view>
	<!-- <footers v-if="isfootflag" :footlist="footlist" :footerindex="footerindex" :color_checked="color_checked" :color_nochecked="color_nochecked" :isHomeIndex="true"></footers> -->
  </view>
</template>

<script>
import self from "@/utils/location.js"
import footers from '@/components/footer/footer.vue'
  export default {
	data(){
	  return{
		// footlist:[
		// 	{module:'home',title:'首页',icon_checked:require('@/static/images/tabbar/home_.png'),icon_nochecked:require('@/static/images/tabbar/home.png'),},
		// 	{module:'work',title:'课表',icon_checked:require('@/static/images/tabbar/work_.png'),icon_nochecked:require('@/static/images/tabbar/work.png'),limit:'course:table:list'},
		// 	{module:'trends',title:'动态',icon_checked:require('@/static/images/tabbar/trends_.png'),icon_nochecked:require('@/static/images/tabbar/trends.png'),limit:'xiaoYuan:notice:list'},
		// 	{module:'mine',title:'我的',icon_checked:require('@/static/images/tabbar/mine_.png'),icon_nochecked:require('@/static/images/tabbar/mine.png')},
		// 	],
		// footerindex:'home',
		// isfootflag:true,
	  }
	},
	components:{footers},
    onLoad: function() {
		this.getLocation()
    },
	methods:{
		getLocation(){
			self.getLocation(function(res){
				console.log(res)		
			})
		},
		getMap(){
			// #ifdef MP-WEIXIN
			this.$tab.navigateTo('/work/pages/map/map?type=update&lng=117.211954&lat=31.839676&address=时代数码港')
			// #endif
			
		},
		getphotoFn(e){
			let that = this;
			let file =[],count=9
			if(e=='zj'){
				file = that.zjfile;
				count=9
			}else{
				file = that.mjfile;
				count=9
			}
			if(file.length < count){
				uni.chooseImage({
					count: count - parseInt(file.length),
					success:function(res){
						let img= res.tempFilePaths;
						if(img.length + file.length > count){
							uni.showToast({
								title: '最多上传'+count+'张图片',
								icon: 'none',
								duration: 2000
							})
						}else{
							let imglen = res.tempFilePaths.length;
							var fuwufile = [];
							uploadmore('/common/upload',img,0,0,0,imglen,fuwufile,function(rs){
								if(e=='zj'){
									that.zjfile = that.zjfile.concat(rs);
									that.datainfo.identificationPhoto=that.zjfile.join(',')
								}else{
									that.mjfile = that.mjfile.concat(rs);
									that.datainfo.entrancePermit=that.mjfile.join(',')
								}
								// console.log(that.datainfo.image,85)
							})	
						}
					}
				});
			}
		},
	}
  }
</script>

<style>
  .content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .logo {
    height: 200rpx;
    width: 200rpx;
    margin-top: 200rpx;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 50rpx;
  }

  .text-area {
    display: flex;
    justify-content: center;
  }

  .title {
    font-size: 36rpx;
    color: #8f8f94;
  }
</style>
